Issue 18748

Summary: At autocompletion TAB-key-use no longer leads to cell travel
Product: Calc Reporter: bert.meersma
Component: editingAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: clement.pillias, cno, grahamperrin, greg.sullivan, info, issues, jason.a.kirkby, jody, kyoshida, mmeeks, muthusuba, niklas.nebel, no1noseurme, oliver.brinzing, openoffice, pagalmes.lists, rickbeitler, t8m, tamblyne, w7feybem5gx2
Version: OOo 1.1 RC3Keywords: oooqa, rfe_eval_ok
Target Milestone: ---   
Hardware: PC   
OS: All   
Issue Type: PATCH Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
A Simple patch to solve this problem.
none
this patch fixes incorrect tab handling during formula input none

Description bert.meersma 2003-08-27 19:50:48 UTC
This is not only in 1.1 RC3, but also in previous versions. When I type 
something in a cell and press the TAB key, the cell on the right side of the 
active cell becomes active. Now when I type something similar in that cell 
Calc want's to autocomplete it. This is a nice feature, but at that point, I 
can't use the TAB key anymore to go one cell to the right. Instead, the TAB 
key is used to select the different autocomplete possibilities. This is very 
unhandy, because one gets used to using the TAB key for navigating the 
spreadsheet.
So please, let the TAB key only be used for activating the cell on the right 
of the active cell and use another key for toggling the autocomplete 
possibilities. (contrl+tab perhaps?)
Comment 1 tamblyne 2003-08-28 04:53:33 UTC
I can confirm the reported behavior, but is it a bug or should it be
an RFE?  

You can disable AutoComplete using Tools > Cell Contents > uncheck
AutoInput.  

Tam  

Comment 2 oc 2003-08-28 12:47:28 UTC
This should be a RFE => type changed
Comment 3 bert.meersma 2003-08-28 15:45:44 UTC
@Tamblyne:
I know I can disable the autocomplete feature, but I don't want to, 
because it's a nice feature. It just doesn't work with the right keys.

Why is the target milestone set to OOo later? Can't this be done 
sooner?


Comment 4 bert.meersma 2003-08-29 08:07:24 UTC
Hi, it's me again.
I have done some expirementing on this in Writer. There, to scroll 
through the different Autocomplete features, Cntrl+TAB is used. I 
think this is another reason to change this behaviour in Calc.
Comment 5 simonbr 2003-10-16 20:06:25 UTC
I agree. The behaviour in Calc should be the same as in Writer; there 
is no good reason to keep it the way it is now. 
Comment 6 Martin Hollmichel 2004-02-15 07:51:39 UTC
reset target back to OOo later.
Comment 7 kwpulliam 2004-02-29 06:04:41 UTC
This is a duplicate issue of #14057
http://www.openoffice.org/issues/show_bug.cgi?id=14057
However, this issue has a better description of the problem and a reasonable
solution.  Suggest that 14057 be closed as a duplicate
Thanks.
Comment 8 kwpulliam 2004-02-29 06:23:15 UTC
Additionally - Since this uses <tab>, and since <tab> is an unavailable key in
the shortcut key dialog, this is one of the few (only?) keybindings that are not
user configurable.  As a regular user of Excel, I have years of using the tab
key to accept auto-completes.  This will be a regular and annoying interruption
in my daily use until either I retrain myself, or it is changed. (I suspect I
may never completely retrain myself)

I'm hoping that while this issue may not be movable to a target sooner than
'Later', maybe we could move it up in priority from P3 to P2 or even P1 as this
is a usability / 'making the switch painless / invisible' type of issue

Thanks
Comment 9 t8m 2004-03-02 18:45:23 UTC
*** Issue 14057 has been marked as a duplicate of this issue. ***
Comment 10 bettina.haberer 2004-07-08 13:10:10 UTC
Summary: At autocompletion TAB-key use no longer leads to cell travel.
Set issue started.
Comment 11 frank 2005-02-21 11:27:57 UTC
please have a look at Issue 7566

Frank
Comment 12 bert.meersma 2005-02-21 11:41:08 UTC
Hi Frank,

Issue 7566 was closed with reason that it is an implemented feature. However 
this issue can be considered as an enhancement to that feature. I think this 
feature should at least work in the same way as it does in Writer. There 
ctrl+tab is used to switch between the various autocompletion suggestions.
Besides that, the way this features works right now in Calc, it prevents 
another feature from working correctly, namely jumping one cell to the right 
when the tab key is pressed. 
Disabling the autocompletion would be a wast of a great feature.
 
Comment 13 lohmaier 2005-08-23 19:39:31 UTC
*** Issue 1127 has been marked as a duplicate of this issue. ***
Comment 14 lohmaier 2005-08-23 19:42:50 UTC
copying comments from issue 1127:
------- Additional comments from oc Thu Jun 28 01:32:08 -0700 2001 -------

To enter something into cells from left to right you could change the behaviour 
of the entrymethod (TOOLS-OPTIONS-SPREADSHEET-GENERAL-PRESS ENTER TO MOVE 
SELECTION) from down to right. But I agree that a tab should accept the 
autocompletion =>Enhancement

------- Additional comments from ft Mon Oct 6 03:08:20 -0700 2003 -------

Add <TAB> to the list of "TOOLS-OPTIONS-SPREADSHEET-GENERAL-PRESS
ENTER TO MOVE SELECTION" dopd down list.
Do make only an option, not default.
Comment 15 bert.meersma 2005-09-15 17:24:50 UTC
I really appreciate the effort, but I'm still confinced this going the wrong
way. The solution that is given now, creates a new problem: When I set the
option that pressing enter selects the cell to the right, how am I going to
select the cell down? Ofcourse by pressing the arrow down button...... I find
that not a satisfactory answer.
It's great that people are thinking about solutions for an enhancement, but
please explain to me why it shouldn't work the same way as in Writer. I still
believe that is the most logical thing to do.
Comment 16 bert.meersma 2006-01-24 18:32:58 UTC
This issue is open now for 2,5 years. Does anyone have an update?
Comment 17 muthusuba 2006-04-16 14:33:57 UTC
.
Comment 18 muthusuba 2006-04-16 15:46:40 UTC
Created attachment 35739 [details]
A Simple patch to solve this problem.
Comment 19 muthusuba 2006-04-16 15:47:54 UTC
.
Comment 20 muthusuba 2006-10-23 11:53:23 UTC
any update?
[any body reviewing my patch?]
Comment 21 frank 2006-10-23 11:59:37 UTC
Hi Niklas,

please have a look at the patch.

Frank
Comment 22 niklas.nebel 2006-10-23 14:18:43 UTC
Now this is one of the cases where a patch, even if correct, doesn't really add
any value. Once there is agreement about changing the AutoInput "next entry" key
from Tab to Ctrl-Tab, the actual change is trivial with or without a patch. The
patch only leads to the expectation that the "agreement" step could somehow be
bypassed. But that's not how things should work.
Comment 23 simonbr 2006-10-23 14:50:14 UTC
Hi, 
Can we try to agree on the best solution then?

Options: 
- no change, i.e. in some cases Tab is used to move to next cell, in other cases
for autocompletion, which is confusing and annoying.

- keep Tab for autocomplete, use some other key to move to next cell (apparently
 this is comparable to MS Excel; in this case which key is used for the moving?)

- keep Tab for moving to next cell and Ctrl+tab for autocompletion selection
(this  is comparable to OOo Writer)

I think the last option is the best.
Comment 24 mmeeks 2006-10-23 14:50:33 UTC
So - perhaps we can do some competitive review / get User Experience input here
? re-assigned to mmp (is that right ?)
Comment 25 kwpulliam 2006-10-23 15:20:07 UTC
SimonBr -
  In Excel it is TAB to accept the autocomplete, then TAB again to move to the
next cell. (The key difference in behavior is due to the fact that OO offers a
NEW feature, selecting between multiple autocomplete choices - The NEW behavior
should get the New keybinding)

TAB to move
TAB to accept the highlighted autocomplete offered word. TAB Again to Move.
CTRL TAB to move highlighting to a different autocomplete offered word. TAB to
accept the highlighted autocomplete word. TAB Again to move.

The above description of behavior is BOTH consistent with current Excel Users
expectations, AND offers them new features. The Win Win Solution.



  

NN - 
  Who skipped the agreement step? The issue was accepted. The issue has 15
votes. The issue is that after or at auto completion... I have to use a
different key combination than Excel.
  Why do we need discussion to about the agreement that has already been reached
that OO cannot currently behave like Excel?

  I don't Give a flying porcupine about what the default behavior is (I assume
there are enough folks on the like excel different from excel bandwagons -
please fight that battle somewhere else over a feature I don't need).  What I
need is an option flag to cause this ability.. hence I need this ability.  I
don't care how you implement it, as long as I can be at a customers office,
download OO (not compile - just download and install), and change the default
behavior to be "Like Excel" through 1 or 25 option choices.

  Until this functionality is included in OO, I can't do that.

(PS I don't want to turn off autocomplete. I just want it to work like Excel)

Everyone - 
  On the issue of comparability to Writer.... I'm not sure what the behavior in
writer is. I haven't tried it, and don't really care. The goal of OO is to
provide a free open source solution/replacement for MSOffice.  Writer is a a
Writer Program. Calc is a Spreadsheet/Flat File database program. The behavior
can be different between Writer/Calc because the tool is different. The behavior
between Calc/Excel should be the same because the tool is the same (Hammer/Hammer)


Yes I admit I'm in a bad mood this morning that has nothing to do with this. The
flurry of activity that ends with a request for a user experience review after
years of waiting for a  fix to the issue just added to it. SO please, Take my
harshness with the appropriate grain of salt. I'm normally much nicer than this.

Cheers

Kevin


Comment 26 kwpulliam 2006-10-23 15:23:58 UTC
Err - 

I was in error.

TAB a single time in Excel accepts the highlighted autocomplete choice and moves
to the next cell.  Please ignore my TAB and TAB again as a single TAB.

Coffee kicking in I suppose.
Comment 27 muthusuba 2006-10-23 16:55:05 UTC
nn,

I agree with the rest of the guys here. 
Why should calc be different from writer?
Lets make it consistent and the way users feel comfortable.
If I was a 'user' then I would generally be using tab to move around and
Ctrl+Tab to autocomplete (ctrl+tab is more difficult than tab - but how many
times do u want autocomplete?) - Hence the patch.

Anyway, the User Experience group wins here.

thanx,
muthusuba

[CC'ing nn]
Comment 28 matthias.mueller-prove 2007-05-24 13:40:27 UTC
I will take a look -- now. Sorry for the delay and thanks Niklas for nudging me.
Comment 29 matthias.mueller-prove 2007-07-23 15:28:13 UTC
set target to 2.4
Comment 30 bert.meersma 2007-07-23 19:55:30 UTC
First of all: Great that is targeted for 2.4!

Then a question:
It has become unclear to me how this issue will be resolved. I saw a remark
about the User Experience group winning? But what does this mean? What solution
will be implemented?
Comment 31 bert.meersma 2007-07-23 19:55:44 UTC
First of all: Great that this issue is targeted for 2.4!

Then a question:
It has become unclear to me how this issue will be resolved. I saw a remark
about the User Experience group winning? But what does this mean? What solution
will be implemented?
Comment 32 matthias.mueller-prove 2007-07-23 20:25:04 UTC
I do not know the solution either. I have that a competitive analysis and comparison with similar areas 
(maybe tables in Writer) will reveal a good way...
Matthias (User Experience, not winning)
Comment 33 Martin Hollmichel 2008-01-14 13:40:36 UTC
reassign issue to fl, set target to 3.0, since mmp is not involved anymore in
this project.
Comment 34 pagalmes.lists 2008-04-24 12:13:34 UTC
Issue 81213 seems related.
Is there a specification of the new behaviour somewhere?
Comment 35 frank.loehmann 2008-06-10 14:37:09 UTC
FL: New target.
Comment 36 johnmoody 2008-08-15 23:27:57 UTC
This problem has worse implications now than it did before.  The problem was NOT
fixed in 2.4, but another problem was, making this more severe.  Now "Tab"
correctly "remembers" where the first cell is.  You can now start on Cell "B"
press tab a number of times and, say, land on Cell "M."  Now, when you hit
"Enter" you will go back to Cell "B," but down a row.  Large repetitive amounts
of data can be entered from left to right using the Tab key, and when it is time
to go to the next row just hit enter, and you will be able to start again with
no problems.  EXCEPT since issue 18748 is still a problem, once AutoCorrect
appears, Tab no longer works.  You CAN hit arrow to go to the next cell, but
that will mess up where the "left" cell is.  

Since 2.4 Tab will "remember" where the left cell is.  This is an improvement
which effectively changes the status of issue 18748 to a major problem.
Comment 37 ajbwork 2008-10-21 15:06:28 UTC
Tab needs to accept the auto entry and move to the next cell like Excel. Some of 
my users are getting hung up because the tab key isn't moving them when it did 
in Excel. We need this to be compatible. Either it should be changed to work 
like Excel or we need to be able to customize it to work the way we prefer.

Thanks,
Comment 38 frank.loehmann 2008-12-10 12:12:37 UTC
Set new target: OOo 3.2
Comment 39 damonerickson 2008-12-10 21:32:15 UTC
This feature clash is making it really annoying to use Calc.  If I have a job
that requires a lot of data entry with lots of auto-complete, I switch to Excel
and later re-open in Calc.

The proposed ctrl+Tab solution is elegant and seems simple.  Is there a firm
reason why it can't be in 3.1?
Comment 40 muthusuba 2008-12-11 06:07:55 UTC
I am sorry, but I am confused with the following (johnmoody's) comments.
Can someone explain? (It (the patch) seems to work properly for me).

------- Additional comments from johnmoody Fri Aug 15 22:27:57 +0000 2008 -------

This problem has worse implications now than it did before.  The problem was NOT
fixed in 2.4, but another problem was, making this more severe.  Now "Tab"
correctly "remembers" where the first cell is.  You can now start on Cell "B"
press tab a number of times and, say, land on Cell "M."  Now, when you hit
"Enter" you will go back to Cell "B," but down a row.  Large repetitive amounts
of data can be entered from left to right using the Tab key, and when it is time
to go to the next row just hit enter, and you will be able to start again with
no problems.  EXCEPT since issue 18748 is still a problem, once AutoCorrect
appears, Tab no longer works.  You CAN hit arrow to go to the next cell, but
that will mess up where the "left" cell is.  

Since 2.4 Tab will "remember" where the left cell is.  This is an improvement
which effectively changes the status of issue 18748 to a major problem.



Comment 41 clement_pillias 2009-01-28 16:15:57 UTC
I am from the UX team, Martin (mh) contacted us and started a thread on our
discussion list. I give the reference to the people interested to join the
discussion:

http://ux.openoffice.org/servlets/ReadMsg?list=discuss&msgNo=2880

I do not believe that we can accept the proposed "ctrl+tab" solution as it has
been proposed, for the reasons given on the UX list. We have proposed
alternative solutions and the discussion goes on. We will try to reach a
solution acceptable for the user and quickly implementable, letting room for
future improvements. Stay tuned…
Comment 42 clement_pillias 2009-01-28 16:19:52 UTC
Platform should be set to "All", no?
Comment 43 cno 2009-02-10 05:47:42 UTC
In the discussion on ux@, there have been touched some related areas.

As for this issue, agreement is that the proposed change is OK: Ctrl-Tab to
cycle through the different auto complete suggestions; Tab to leave the cell as
always.
Comment 44 clement_pillias 2009-02-10 12:53:05 UTC
In the discussion on ux@, only five person have replied, and you are the only
one who think that.

Sorry, but this issue is far more complex that it seems at first sight. We are
still actively working on it.
Comment 45 cno 2009-02-10 15:20:48 UTC
>In the discussion on ux@, only five person have replied, and you are the only
>one who think that.

This is simply not true. There is consent about Ctrl-Tab<>Tab behaviour.

And 'only' 5 people ... yes, you cannot expect that many have hours a day 
available for serious studying mails that way devide from the original topics.
Pls try to learn to focus on a topic.

>Sorry, but this issue is far more complex that it seems at first sight. We are
>still actively working on it.

These are the related issues I wrote about. And reading what is written about 
that, it is very unlikely that that will come to a reasonable outcome soon 
(apart from the questionm how easy to implement it might be).

It is a pity this specific issue is not solved for so long time. The whole 
project has to work on to improve these kind of situations.
Therefore it would not be a pity if the ux-project hadn't come with a opinion 
on this issue, and would have it waiting longer because of 'related issues'.

Well, for the apr. 20 people cc-ed here: the ux-archives are available. So if 
you have some free weekends left ..
Comment 46 frank.loehmann 2009-04-16 11:55:07 UTC
Adjust target.
Comment 47 scepticus 2009-09-02 05:35:15 UTC
This seems like a small thing, but for me having to take my right fingers off
the home keys to reach down to the right arrow to accept an AutoInput suggestion
makes AutoInput unusable.  Using the tab key to accept the AutoInput suggestion
would be so much easier.  
Comment 48 Graham Perrin 2009-09-04 22:25:29 UTC
> http://ux.openoffice.org/servlets/ReadMsg?list=discuss&msgNo=2880

For reference only, Nabble view of the discussion: 
<http://n2.nabble.com/-tp2228335p2228335.html>
Comment 49 thorsten.ziehm 2009-09-10 11:44:21 UTC
Branch-date (feature- and code-freeze) for OOo 3.2 is nearly done. Therefore I
change the target of this issue to OOo 3.x. If you think it is a stopper for OOo
3.2 please change the target back.
Comment 50 bigbopper 2009-11-20 21:06:46 UTC
OK, so it's been over 6 years and 2 major releases since this problem was first
brought up.  The target completion has changed multiple times.

I do not understand why what appears to be a simple change, with most posts
agreeing on how to fix it, can take so long, and still not be fixed, nor even an
estimated date that it will be fixed.

And yes "FIX" is the appropriate term.  It may not be a bug as such, but it is
definitely a problem that needs fixing.

Al
Comment 51 kyoshida 2010-03-06 03:38:07 UTC
Created attachment 68177 [details]
this patch fixes incorrect tab handling during formula input
Comment 52 w7feybem5gx2 2010-03-24 08:51:56 UTC
This patch (and/or OpenOffice 3.2) has broken Auto Completion very badly for me.
 I use the tab / shift-tab keys very heavily to scroll through suggestions.

Since upgrading to OpenOffice 3.2, I cannot even pick any suggestion other than
the default given.  Hitting tab / shift-tab changes cells on me, not what I
expect.  I've been using Open Office and this tab completion feature since the
1.x days.

Ctrl-Tab / Ctrl-Shift-Tab have no affect for me.  What are the new keys for
cycling through the auto completion suggestions?  I am very lost with out this...
Comment 53 cno 2010-03-24 10:13:36 UTC
@ w7feybem5gx2 
3.2.0 still behaves as when this issues was written in August 2003. So I do not
understand what you talk about.
The patch that will change this, is not yet integrated.

BTW: I do not understand why people that seem to rely so heavily on the use of
key strokes, are unable to find/use arrows-, controls-, or what ever other key's ;-)
Comment 54 Regina Henschel 2010-04-04 22:12:45 UTC
*** Issue 110597 has been marked as a duplicate of this issue. ***
Comment 55 muthusuba 2010-04-05 07:55:10 UTC
Is it possible to make this key (both cell movement and autocomplete key 
binding?) configurable instead? I guess this could help.
Comment 56 rizsilverthorn 2010-04-23 00:20:42 UTC
@cornouws Wed Mar 24 09:13:36

I can confirm what w7feybem5gx2 has added to this report - the TAB key no longer
iterates through a list of matching previous cell contents which it did in 3.1.
In 3.1 the sequence was:
1. Type a number of characters
2. Hit TAB until the string you want is highlighted
3. Hit a cursor key to move the the next cell

Now nothing allows to select anything other than the first option in an
alphabetically sorted list. Tab moves to the next right cell. Control Tab does
nothing.

I have tried the Ubuntu PPA build and a Sabayon 5.2 Live CD and both of their
OOo 3.2 operate the same way. 

There seems to be no way of moving through a list of previously matching cell
contents.
Comment 57 dusan_zervan 2010-05-06 18:04:30 UTC
I'm using Calc (mostly in Windows Vista and XP) for serious business and this new 
problem in 3.2 version is really very annoying. I hope it will be fixed soon.

At first I thought that <Tab> key was changed to <Ctrl+Tab> or something, but it 
is not. I don't mind if it is <Tab> or <Ctrl+Tab> - but in fact, in 3.2 is no 
keystroke to change auto-completing value at all.
Comment 58 cno 2010-05-06 21:02:30 UTC
@  dusan_zervan & rizsilverthorn 
Tab stil travels through the various autocomplete entries.

New spreadsheet
A1  Apple tree
A2  Apricot tree
A3  Ananas tree

In A4 type A and Tab shows all entries.
(OpenOffice.org 3.2.0 and 320m16 (build in the line for the next 3.2.1).

Comment 59 dusan_zervan 2010-05-07 06:47:52 UTC
@ cornouws
I've tried exactly the same steps and it is not working for me on:
- Go-OO OpenOffice.org 3.2.0 OOO320m12 Build:9483, 2010-02-26 with Slovak 
language using Windows Vista and also XP;
- OpenOffice.org 3.2.0 OOO320m12 Build:9483 with Slovak language using Linux 
Ubuntu 10.04.

Now I've also tried OpenOffice.org 3.2.0 OOO320m12 Build:9483 with Slovak 
language using Windows 7 under VirtualBox and it is working there! Is it 
possible that Ubuntu is using Go-OO and the problem is only there? Or something 
is different with Windows 7? I will try to reinstall on my Windows Vista or XP 
from Go-OO to normal OO later today (now I must go to work) and will let you 
know.
Comment 60 cno 2010-05-07 07:59:08 UTC
@ dusan zervan:
thanxs for reporting back.
I work on Ubuntu as well. 
So there seems to be some influence in your case from the go-oo version?
Comment 61 kyoshida 2010-05-07 12:48:53 UTC
This is already fixed in go-oo 3.2.1, just to let you guys know.  Ctrl-tab works
in 3.2.1 as intended in this bug page.
Comment 62 dusan_zervan 2010-05-07 23:22:40 UTC
@ cornouws
On my Windows Vista I've tried to uninstall Go-OO and then install OpenOffice.org 
3.2.0 OOO320m12 Build:9483 with Slovak language and now it is working well! Thank 
you for that idea! It seems that the problem was in Go-OO only. But it is still 
not clear to me, why the problem appears in Ubuntu with 'default' OpenOffice 3.20 
as well. Or is it 'hidden' Go-OO there?

@kohei
That's great! I am looking forward.
Comment 63 junkitytrunk 2011-03-24 19:54:15 UTC
AutoInput on, in progress? Can't use tab to move. AutoInput off and editing cell? Can't use tab to move. There've obviously been patches. Sounds like sabotage to me.

6 years of broken usability? LibreOffice already does it correctly.
Comment 64 Oliver Brinzing 2011-03-31 05:56:51 UTC
> LibreOffice already does it correctly.

confirming, LO 3.3.0 uses (ctrl)(tab)/(ctrl)(shift)(tab) to toogle
between suggestions and (tab) to accept and move to the next cell

why can't we have these feature too ?
Comment 65 rabone 2011-08-15 00:05:05 UTC
(In reply to comment #64)
> > LibreOffice already does it correctly.
> 
> confirming, LO 3.3.0 uses (ctrl)(tab)/(ctrl)(shift)(tab) to toogle
> between suggestions and (tab) to accept and move to the next cell
> 
> why can't we have these feature too ?

Help me understand here. I am with kwpulliam on this [tab] issue and autofill - I want it to work just like Excel as well. Help me understand here, this has been a reported "bug" since 2003-08-27 and still is in calc? And finally, really help me understand here, I can download LiberOffice and use their build and it has no such issue? Really? I try to be loyal to movements and projects, but really, if LiberOffice works like we have been requesting, I believe I am jumping ship. Please, by all means, correct me if I am not understanding this correctly.
Comment 66 GregS 2012-08-29 06:44:49 UTC
Just adding another BIG VOTE for fixing this problem - it is utterly bizarre that it hasn't been fixed all these years! For heavens sake, make the TAB behave the same as Excel.
Comment 67 Rob Weir 2013-03-11 15:05:27 UTC
I'm adding this comment to all open issues with Issue Type == PATCH.  We have 220 such issues, many of them quite old.  I apologize for that.  

We need your help in prioritizing which patches should be integrated into our next release, Apache OpenOffice 4.0.

If you have submitted a patch and think it is applicable for AOO 4.0, please respond with a comment to let us know.

On the other hand, if the patch is no longer relevant, please let us know that as well.

If you have any general questions or want to discuss this further, please send a note to our dev mailing list:  dev@openoffice.apache.org

Thanks!

-Rob
Comment 68 no1noseurme 2014-03-14 06:28:41 UTC
Well folks, it's been 10 (ten) years and 7 months since this issue was raised, and it's still not fixed in version 4.0.1 of Apache OpenOffice Calc.

My doctor said I only have another 10 years to live, so now I'm wondering whether the problem will be fixed before I die.
Comment 69 Jason 2015-02-18 05:00:07 UTC
Wow. This is ridiculous. Almost 12 years and this still isn't fixed? Considering it's something that comes up literally every time I use Calc, and spoils both the autocomplete feature and the feature where it remembers where the "left" cell is when you hit Enter, I find it to be completely mind-boggling that this has gone kind of ignored for so long. What exactly is the problem with implementing a proper fix for this, can someone explain that? I'm not even being sarcastic, seriously, I would legitimately appreciate an explanation on this. And if it's because there's a "lack of consensus" on how to fix it, just make it a configurable option, or do whatever they did in LibreOffice, or Excel, or *something*. We seem to be trying to ensure that nothing gets changed hastily or incorrectly ... by ensuring that nothing gets changed at all.
Comment 70 openoffice 2015-12-17 04:04:10 UTC
It is too bad that I have to switch back to excel to do data entry because I have to use an awkward or multiple key combination to do what should be a quick, one consistent key stroke.  For me it is:  open in excel -> enter new data -> open back in calc.  Oddly enough that's the faster and easier method for me.
Comment 71 cno 2015-12-17 08:02:23 UTC
@ openoffice@kasrok.com:
You may be interested to try LibreOffice, the other OpenOffice.org offspring.
Has been fixed in there since it's first version. 
(And there is more behaviour that people appreciate from using Excel.)